	
;  ----  Actions enumeration  ----  ;
	
	MKA_NOTHING equ 0
	
	MKA_EMULATE_LEFT_BUTTON equ 1
	MKA_EMULATE_RIGHT_BUTTON equ 2
	MKA_EMULATE_MIDDLE_BUTTON equ 3
	
	MKA_CLICKHOLD_LEFT_BUTTON equ 4
	MKA_RELEASE_LEFT_BUTTON equ 5
	
	MKA_CLICKHOLD_MIDDLE_BUTTON equ 6
	MKA_RELEASE_MIDDLE_BUTTON equ 7
	
	MKA_CLICKHOLD_RIGHT_BUTTON equ 8
	MKA_RELEASE_RIGHT_BUTTON equ 9
	
	MKA_DBLCLICK_LEFT_BUTTON equ 0Ah
	
	MKA_ROTATE_WHEEL_FORWARD equ 0Bh
	MKA_ROTATE_WHEEL_BACKWARD equ 0Ch
	
	
;  ----  Structures  ----  ;
	
	Rational struct
		
		numerator sdword ?
		denominator sdword ?
		
	Rational ends
	
	MKParams struct
		
		ptm Rational <?>
		at_shift Rational <?>
		at_ctrl Rational <?>
		at_alt Rational <?>
		
		act_ins dword ?
		act_five dword ?
		act_del dword ?
		act_div dword ?
		act_mul dword ?
		act_sub dword ?
		act_add dword ?
		
		use_when_numlock_is dword ?
		
	MKParams ends
	
	
;  ----  Exported functions  ----  ;
	
	MKInstall proto :ptr MKParams
	MKUninstall proto
	